Page MenuHomePhabricator

MW-1.27.0-wmf.14 deployment blockers
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.27.0-wmf.14Validation of 1.27.0-wmf.14

Event Timeline

greg created this task.Feb 2 2016, 10:49 PM
greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added a project: Release-Engineering-Team.
greg added a subscriber: greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 10:49 PM
hashar claimed this task.Feb 8 2016, 5:12 PM
hashar added a subscriber: hashar.

Per Release-Engineering-Team meeting I will handle that train.

I will cut the wmf branches this afternoon starting around 13:00 UTC (14:00 CET).

Change 270977 had a related patch set uploaded (by Hashar):
Validation of 1.27.0-wmf.14

https://gerrit.wikimedia.org/r/270977

Change 270977 abandoned by Hashar:
Validation of 1.27.0-wmf.14

Reason:
It pass!

https://gerrit.wikimedia.org/r/270977

Current status, as far as I can see (just for documentation): wmf.14 is pre-deployed to testwiki, all other group0 wikis still running wmf.13 (as the blocking task isn't resolved, yet).

hashar changed the task status from Open to Stalled.Feb 17 2016, 8:03 PM

Yup wmf.14 is blocked until wmf.13 is pristine clear. There is a regression on it; T126700

ori added a subscriber: ori.Feb 22 2016, 10:56 AM

Redis ops/sec should go back to their previous level -- see T126700#2050735

greg added a comment.Feb 22 2016, 6:02 PM

Regarding the deploy of wmf.14 (which was cut last week): our plan is to deploy wmf.14 this week, and cut/deploy wmf.15 next week. wmf.15 will have two weeks of changes in it.

Reasoning: After a severe regression like this, especially one where the underlying cause wasn't pin-pointed before it self-corrected, it's sensible to keep the delta with the next deploy small.

greg reassigned this task from hashar to demon.Feb 22 2016, 6:02 PM
demon closed this task as Resolved.Mar 1 2016, 6:15 PM
demon moved this task from In-progress to Done on the Release-Engineering-Team board.
greg renamed this task from MW 1.27.0-wmf.14 deployment blockers to MW-1.27.0-wmf.14 deployment blockers.May 27 2016, 7:38 PM
greg set Security to None.